campagne : 
  titre : "Photo"
  adminFamille : "Avec chargement photo"
  description :  "Dossier : nom, prénom, email, acceptation règlement + 1 photo<br/>Pas de compte joueur<br/>Vérification admin des gagnants"
  is_disponible : true
  configuration :    
    has_participant : false
    has_tirage : true
    participation_init :
      setActeur : ADMIN
    notes :
      mini_lock_fe : 60
      maxi_purgek : 59
    include_commons : [20.tirage-std.yml, 90.sys_cms.yml]
  etapes : 
    fe_home :
      action : dossier
      etape : coordonnees
      route: fe_home
    coordonnees :
      type : dossier
      route : fe_dossier
      desc : saisie nom, prénom, email
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : creerParticipation
#        preaction : [tirage]
      lignes : 
        5 :
          type : text
          key : titre 
          value : "Le jeu" 
          css : titre 
          tag : h1
        10 :
          type : form
          key : nom 
          note : 10 
          label : 'Votre nom'
          form_config : { }
          form_validation : 
            NotNull: ~
        20 : 
          type : form
          key : prenom
          note : 10
          label : 'Votre prénom' 
          form_config : { }
          form_validation : 
            NotNull: ~
        30 :
          type : form
          key : email 
          note : 10
          label : 'Votre email' 
          form_config : { }
          form_validation : 
            NotNull: ~
            Email: ~
        40 : 
          type : form
          key : isAccepte
          note : 10
          label : "" 
          form_config : { "label" : "J'accepte le règlement" }
          form_validation : 
            IsTrue: ~
        90 :
          type : reglement-btn
          key : reglement 
          value : Règlement du jeu
          css : pull-right             
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : pieces 
    pieces :
      type : dossier
      route : fe_dossier
      desc : chargement d'une photo
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
      lignes : 
        10 :
          type : form
          key : photo1 
          note : 20
          label : 'Charger une photo' 
          #form_config : { "attr": {"accept": "image/*;capture=camera"} }
          #form_validation : 
          #  NotNull: ~
          #  File:
          #    maxSize: 1024k
          #    mimeTypes: ["image/png", "image/jpeg", "image/jpg"]
          #    mimeTypesMessage: Merci de spécifier une image au format jpeg ou png        
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : lock_participation
    lock_participation :
      type : redirect
      route : fe_lock_participation
      desc : tirage + coordonnées (si livraison physique) + validation de la participation et redirection
      lignes : 
        10 :
          type : cms
          key : coordonnees_physique
          default : "Veuillez compléter vos coordonnées afin que nous puissions vous faire parvenir votre lot.<br/><br/>"       
        30 :
          type : form
          key : nom 
          label : 'Nom'
          form_config : { }
          form_validation : 
            NotNull: ~
        40 : 
          type : form
          key : prenom
          label : 'Prénom' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        50 : 
          type : form
          key : adr1
          label : 'Adresse' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        60 : 
          type : form
          key : adr2
          label : 'Complément' 
          form_config : { } 
        70 : 
          type : form
          key : cp
          label : 'Code postal' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        80 : 
          type : form
          key : ville
          label : 'Ville' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok                
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
      etapes_suivantes : 
        perdant : perdant
        gagnant_possible : gagnant_possible
        tirage_impossible : tirage_impossible
  acteur_action:
    admin: 
      keys:
        nom: 15 
        photo1: 55
